<!DOCTYPE html>
<html lang="no" prefix="og: http://ogp.me/ns#">
<head>
  {%include "../../includes/head_common.inc"%}
  {%include "../../includes/head_page.inc"%}
</head>
<body>
  {%include "../../includes/sidebar.inc"%}
  <div class="pusher">
    {%include "../../includes/static_sidebar_left.inc"%}
    <div class="ui segment">
      <div class="main-content-wrapper">
        {%include "../../includes/header.inc"%}

        <div class="main-content">
          <div class="ui grid">  
            <div class="ui sixteen wide column">

              <h1>Søk</h1>

              <div class="facet-view-simple"></div>

              <!--<link rel="stylesheet" href="{{lodspk.home}}js/facetview2/vendor/jquery-ui-1.8.18.custom/jquery-ui-1.8.18.custom.css">-->
              <!-- <script type="text/javascript" src="{{lodspk.home}}js/facetview2/vendor/jquery-ui-1.8.18.custom/jquery-ui-1.8.18.custom.min.js"></script>-->

              <script type="text/javascript" src="{{lodspk.home}}js/facetview2/es.js"></script>
              <script type="text/javascript" src="{{lodspk.home}}js/facetview2/semantic-ui.facetview.theme.js"></script>
              <script type="text/javascript" src="{{lodspk.home}}js/facetview2/jquery.facetview2.js"></script>
              <link rel="stylesheet" href="{{lodspk.home}}js/facetview2/css/facetview.css">


              <script type="text/javascript">

                function customResultRecord(options, record) {
                /*****************************************
                * overrides must provide the following classes and ids
                *
                * none - no specific requirements
                *
                * should (not must) use the config
                *
                * options.resultwrap_start - starting elements for any result object
                * options.resultwrap_end - closing elements for any result object
                * options.result_display - line-by-line display commands for the result object
                */

                // get our custom configuration out of the options

                var result = options.resultwrap_start;

                // close off the result with the ending strings, and then return
                
                result += '<div class="content"><a href="' + record.id + '" class="header">' + record.invoice_date + ' - ' + record.customer_name + '</a>';

                result += '<div class="meta">';

                if(record.invoice_date){
                  result += '<span class="ui floated right"><i class="icon wait"></i><span>' + record.invoice_date + '</span></span>';
                }

                result += '</div>';

                result += '<div class="description">';

                if(record.invoice_line){
                  result += '<div class="ui ordered list">';
                  if(typeof record.invoice_line !== 'string'){
                    for (i = 0; i < record.invoice_line.length; i++) {
                      result += '<div class="item"><div class="content"><span>' + record.invoice_line[i] + '</span></div></div>';
                    }
                  }
                  else{
                    result += '<div class="item"><div class="content"><span class="header">' + record.invoice_line + '</span></div></div>';
                  }
                  result += '</div>';
                }  

                result += '</div>';

                result += '<div class="extra">';

                

                if(record.status === "Sent"){
                  result += '<button class="ui right floated green button">' + record.status + '</button>';
                }
                else if(record.status === "Draft"){
                  result += '<button class="ui right floated orange button">' + record.status + '</button>';
                }
                else if(record.status === "Estimate"){
                  result += '<button class="ui right floated yellow button">' + record.status + '</button>';
                }
                else if(record.status === "Paid"){
                  result += '<button class="ui right floated olive button">' + record.status + '</button>';
                }
                if(record.assigned_to !== undefined){
                  result += '<span class="ui right floated button">Ansvarlig: ' + record.assigned_to + '</span>';
                }

                result += '</div></div>';

                result += options.resultwrap_end;
                return result;
                }


                jQuery(document).ready(function($) {
                  $('.facet-view-simple').facetview({
                    search_url: 'https://jambo.uib.no/elasticsearch/admin/invoice/_search?',
                    search_index: 'elasticsearch',
                    pager_on_top: true,
                    debug: false,
                    facets: [
                            {'field': 'status', 'size': 70, 'display': 'Status', 'open': true, 'controls': false },
                            {'field': 'assigned_to', 'size': 70, 'display': 'Ansvarlig', 'open': true, 'controls': false},
                            {'field': 'customer_name', 'size': 70, 'display': 'Kunde', 'open': true},
                        ],
                    render_result_record: customResultRecord,
                    fadein: 400,
                    default_operator: "AND",
                    default_freetext_fuzzify: "*",
                    permanent_filters: true,
                    pushstate: true,
                    sort : [ {"invoice_date" : {"order" : "desc"}} ],
                    search_sortby: [
                      {
                        "display": "Bestillsnummer",
                        "field": "order_number"
                      },
                      {
                        "display": "Bestillingsdato",
                        "field": "invoice_date"
                      }
                    ],
                    page_size: 25,
                    search_button: true,
                    searchwrap_start: '<div class="ui grid" id="facetview_results">',
                    searchwrap_end: '</div>',
                    resultwrap_start: '<div class="ui item facetview_result">',
                    resultwrap_end: '</div>'
                  });
                });
                </script>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

{%include "../../includes/footer.inc"%}  
</body>
</html>
